﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace PIbd_21_Potapov_N.S._Catamaran_Base
{
    class EntityCatamaran
    {
        public float Weight { get; private set; }
        public Color EntityColor { get; private set; }
        public Directions Direction { get; private set; }
        public float Speed { get; private set; }
        public float Step { get; private set; }

        public void Init(float w, Color c, Directions d, float v)
        {
            Random rnd = new Random();
            Speed = (v <= 0 ? rnd.Next(50, 100) : v);
            Weight = (w <= 0 ? rnd.Next(40, 80) : w);
            EntityColor = c;
            Direction = d;
            Step = Speed * 100 / Weight;
        }
    }
}
